package org.springblade.party.feign;

import org.springblade.party.entity.Activity;
import org.springblade.party.vo.ActivityVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ActivityClientFallback implements IActivityClient {
            /**
         * 详情
         */
        @Override
        public ActivityVO detail(Activity activity) {
            return null;
        }

        /**
         * 查询 党内活动表
         */
        @Override
        public List<ActivityVO> list(Activity activity) {
            return null;
        }



        /**
         * 新增 党内活动表
         */
        @Override
        public boolean save( Activity activity) {
            return false;
        }

        /**
         * 修改 党内活动表
         */
        @Override
        public boolean update( Activity activity) {
            return false;
        }

        /**
         * 新增或修改 党内活动表
         */
        @Override
        public boolean submit( Activity activity) {
            return false;
        }


        /**
         * 删除 党内活动表
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
